Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.core
Interface Model

All Superinterfaces:
  com.tonbeller.wcf.bookmarks.Bookmarkable

All Known Subinterfaces:
  OlapModel

All Known Implementing Classes:
  CachingOlapModel, Empty.EmptyModel, MdxOlapModel, ModelSupport, MondrianModel, OlapModelDecorator, OlapModelProxy, ProtozoanOlapModel, ScalarOlapModel, TestOlapModel, XMLA_Model

    public interface Model

extends com.tonbeller.wcf.bookmarks.Bookmarkable

A Model provides core functionality. It may be extended by optional `Extension`s.

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Method Summary
`void` | `addExtension(Extension extension)` adds an extension to this model.
`void` | `addModelChangeListener(ModelChangeListener l)` adds a model change listener
`Extension` | `getExtension(java.lang.String id)` returns the extension if this model instance supports it.
`java.util.Map` | `getExtensions()` returns a Map containing all extensions JSP scripting.
`Model` | `getRootModel()` Returns the bottom element of the decorator chain.
`Model` | `getTopDecorator()` Returns the top element of the decorator chain.
`void` | `removeModelChangeListener(ModelChangeListener l)` removes a model change listener
`void` | `setLocale(java.util.Locale locale)` sets the locale for messages, data display etc

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Method Detail

### getExtension

    Extension getExtension(java.lang.String id)

  returns the extension if this model instance supports it. Returns null if the extension is not supported.

### getExtensions

    java.util.Map getExtensions()

  returns a Map containing all extensions JSP scripting. Key is the extension id, value is the extension.

### setLocale

    void setLocale(java.util.Locale locale)

  sets the locale for messages, data display etc

### addExtension

    void addExtension(Extension extension)

  adds an extension to this model. Must call extension.setModel(this) to set the model reference.

### addModelChangeListener

    void addModelChangeListener(ModelChangeListener l)

  adds a model change listener

### removeModelChangeListener

    void removeModelChangeListener(ModelChangeListener l)

  removes a model change listener

### getTopDecorator

    Model getTopDecorator()

  Returns the top element of the decorator chain. If any extensions decorate the model, a decorator chain is built and its head is returned. Otherwise this is returned

### getRootModel

    Model getRootModel()

  Returns the bottom element of the decorator chain. The returned model does not decorate any other model, its the end of the chain.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD